▼ |  | The Typed Racket Reference

1 | Type Reference
2 | Special Form Reference
3 | Libraries Provided With Typed Racket
4 | Utilities
5 | Typed Racket Syntax Without Type Checking
6 | Typed Regions
7 | Optimization in Typed Racket
8 | Legacy Forms
9 | Compatibility Languages
10 | Experimental Features

On this page:

require/ typed
require-typed-struct

Version: 5.3
top← prev up next →

### 9`` Compatibility Languages

#lang typed/scheme
#lang typed/scheme/base
#lang typed-scheme

Typed versions of the

> #lang scheme

and

> #lang scheme/base

languages. The

> #lang typed-scheme

language is equivalent to the

> #lang typed/scheme/base

language.

> > syntax

> > (require/typed m rt-clause ...)

> rt-clause |  | = |  | [r t]

> |

> [struct name ([f : t] ...)
> struct-option ...]

> |

> [struct (name parent) ([f : t] ...)
> struct-option ...]

> |  | | |  | [opaque t pred]
> struct-option |  | = |  | #:constructor-name constructor-id
> |  | | |  | #:extra-constructor-name constructor-id

Similar to require/typed, but as if #:extra-constructor-name make-name was supplied.

> > syntax

> > require-typed-struct

Similar to using the struct keyword with require/typed.
top← prev up next →